Help with jailbreak

Discussion in 'iPod touch' started by niknips, Aug 29, 2010.

  1. niknips

    niknips New Member

    Joined:
    Aug 28, 2010
    Messages:
    27
    Likes Received:
    1
    Device:
    iPhone 4S (White)
    Can someone please advise me on how to proceed with a jailbreak on a new 8GB 3G ipod touch on standard 3.1.3 firmware. I wanted to jailbreak using jailbreakme but all info I have read advises to upgrade firmware to 4.0 prior to jailbreaking. The only firmware update available from itunes is 4.0.2. I cannot manually update to 4.0 as I will receive an error when trying to restore through itunes when it runs it's SHSH check as I do not have blobs for 4.0. Has anyone successfully jailbroken with jailbreakme on 3.1.3 and if not why does jailbreakme say it supports 3.1.3 as various posts I have read says the firmware needs to be upgraded to 4.0 prior to using this method. I know Spirit supports my current firmware but I have read it does not work with the latest version (9.2)of itunes I have installed. Any help from some experienced forum members would be appreciated as I am a complete novice. Running 64bit windows 7. Come on guy's help me out !
  2. shashanknegi

    shashanknegi Active Member

    Joined:
    Feb 26, 2010
    Messages:
    1,778
    Likes Received:
    11
    Device:
    3G iPod touch
  3. applehacker

    applehacker Banned

    Joined:
    Aug 13, 2010
    Messages:
    1,210
    Likes Received:
    0
    Device:
    3G iPod touch
    First of all don't write too much
    N u can jailbreak 3.1.3 after restore usin jailbreakme.com
  4. niknips

    niknips New Member

    Joined:
    Aug 28, 2010
    Messages:
    27
    Likes Received:
    1
    Device:
    iPhone 4S (White)
    Thanks guys, but Spirit says it needs an earlier version of itunes. Comments on Spirit's site confirm this method as not working. applehacker why do I need to restore if I am on standard 3.1.3 firmware prior to using jailbreakme.com. Is it safe to proceed without restoring or upgrading to 4.0 ?
  5. shashanknegi

    shashanknegi Active Member

    Joined:
    Feb 26, 2010
    Messages:
    1,778
    Likes Received:
    11
    Device:
    3G iPod touch
    No dont restore, it will bring you to 4.0.2 which wont work. I advise you use autossh and save your blobs and then shift+Restore to 4.0 ipsw
  6. niknips

    niknips New Member

    Joined:
    Aug 28, 2010
    Messages:
    27
    Likes Received:
    1
    Device:
    iPhone 4S (White)
    Ok confused now as I do not have blobs for 4.0. I am on standard 3.1.3 firmware. This is the only firmware my ipod has ever had installed. Will running autossh generate blobs for 4.0 ? If not, will jailbreakme work on 3.1.3 without updating firmware ?
  7. XxRedRumxX

    XxRedRumxX Well-Known Member

    Joined:
    Dec 18, 2009
    Messages:
    6,666
    Likes Received:
    1,079
    Device:
    Samsung Galaxy Nexus
    No because 4.0 is not being signed anymore. You can only get blobs for 4.0.2 (to my knowledge)
    jailbreakme will work on 3.1.3
  8. niknips

    niknips New Member

    Joined:
    Aug 28, 2010
    Messages:
    27
    Likes Received:
    1
    Device:
    iPhone 4S (White)
    Thanks, that's what I thought. What do I need to backup in itunes prior to trying the jailbreak in case I need to do a restore. I have two identicle spec ipods that I need to do this to. Does this complicate matters or will itunes keep a backup of both if I need to restore at a later date. Sorry for this noobish question but it has been a steep learning curve and I don't want to end up with a couple of bricks. Your help has been much appreciated.
  9. shashanknegi

    shashanknegi Active Member

    Joined:
    Feb 26, 2010
    Messages:
    1,778
    Likes Received:
    11
    Device:
    3G iPod touch
    oh yeah, blanked out there...

Share This Page